Subject: Re: bug#70817: 14.0.3.2024-03-17; max-lisp-eval-depth exceeded with XeTeX option

From: "Landis Florian (ladi)" <[email-masked]>
Date: Wed, 8 May 2024 11:13:14 +0000

Hi Arash, dear all,

I now did the uninstall, restart, reinstall. With -Q switch and evaluating

   (progn
      (package-initialize t)
      (package-activate 'auctex))

I open the file (which still works smoothly) and run 'M-x list-load-path-shadows RET' to get:

No Emacs Lisp load-path shadowings were found

With neither the  -Q switch nor above evaluations, I get

File local-variables error: (error Lisp nesting exceeds ‘max-lisp-eval-depth’)

upon opening the file and

<home>/.emacs.d/elpa/transient-20240506.1559/transient hides c:/Program Files/Emacs/emacs-28.1/share/emacs/28.1/lisp/transient
<home>/.emacs.d/elpa/seq-2.24/seq hides c:/Program Files/Emacs/emacs-28.1/share/emacs/28.1/lisp/emacs-lisp/seq

2 Emacs Lisp load-path shadowings were found

upon doing 'M-x list-load-path-shadow RET'.

Best,

Florian

Am 08.05.2024 um 12:46 schrieb Arash Esbati:

Hi Florian,

"Landis Florian (ladi)" <[email-masked]><mailto:[email-masked]> writes:

You're right, AUCTeX loads the file just fine if emacs is started with
the -Q switch.

Just to be sure, the recipe is to save the file on your HD:

--8<---------------cut here---------------start------------->8---
\documentclass{article}

\title{Minimal working example}
\author{Florian}
\begin{document}
\maketitle

\begin{document}

\section{What happens}

This does not load AUCTeX correctly with the XeTeX commented option at
the end of the document, but works fine without it.  With the option,
Emacs says that 'max-lisp-eval-depth' is exceeded and commands for
compiling the document under AUCTeX are not available.

Leaving out below option and doing 'M-x TeX-engine-set RET xetex'
produces no hiccups.

\end{document}

%%% Local Variables:
%%% mode: LaTeX
%%% TeX-master: t
%%% TeX-engine: xetex
%%% coding: utf-8
%%% End:
--8<---------------cut here---------------end--------------->8---

And then:

• Uninstall AUCTeX with 'M-x package-delete RET auctex RET'
• Restart Emacs and install AUCTeX via the package interface
• Start Emacs with "emacs -Q"
• In scratch, eval the following:
    (progn
      (package-initialize t)
      (package-activate 'auctex))
• Open the .tex file above
• See if it works
• Also do 'M-x list-load-path-shadows RET' and check what it tells

Does that mean that there's something else in my configuration of
Emacs (or AUCTeX?) that is tripping AUCTeX up?

Yes, that might be one conclusion.

I wouldn't even know where to start looking...

The first step is described above: If it works in a clean environment,
we can proceed; and you might get help here from others :-)

In the meantime, the solution that works for me is to reduce the local
variable list to:

%%% Local Variables:
%%% TeX-engine: xetex
%%% coding: utf-8
%%% End:

I think the line

%%% mode: latex

is the culprit in my case. Was there an infinite loop between AUCTeX
loading latex-mode automatically and again due to the local variables?

I depends, it might be that you've loaded the built-in latex-mode.  So
again, please follow the recipe above and tell us what you get.

Best, Arash